package com.yihu.wlyy.entity.statistics;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 医生评价统计表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_doctor_statistics_comment")
public class DoctorStatisticsComment extends IdEntity {
	private static final long serialVersionUID = -3555122300232736527L;
	
	// 医生标识
	private String doctor;
	// 日期
	private Integer date;
	// 类型：1三师咨询（指定咨询），2视频咨询
	private Integer type;
	// 1星总数
	private Integer oneStar;
	// 2星总数
	private Integer twoStar;
	// 3星总数
	private Integer threeStar;
	// 4星总数
	private Integer fourStar;
	// 5星总数
	private Integer fiveStar;

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	public Integer getDate() {
		return date;
	}

	public void setDate(Integer date) {
		this.date = date;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	@Column(name = "one_star")
	public Integer getOneStar() {
		return oneStar;
	}

	public void setOneStar(Integer oneStar) {
		this.oneStar = oneStar;
	}

	@Column(name = "two_star")
	public Integer getTwoStar() {
		return twoStar;
	}

	public void setTwoStar(Integer twoStar) {
		this.twoStar = twoStar;
	}

	@Column(name = "three_star")
	public Integer getThreeStar() {
		return threeStar;
	}

	public void setThreeStar(Integer threeStar) {
		this.threeStar = threeStar;
	}

	@Column(name = "four_star")
	public Integer getFourStar() {
		return fourStar;
	}

	public void setFourStar(Integer fourStar) {
		this.fourStar = fourStar;
	}

	@Column(name = "five_star")
	public Integer getFiveStar() {
		return fiveStar;
	}

	public void setFiveStar(Integer fiveStar) {
		this.fiveStar = fiveStar;
	}

}
